Quote Originally Posted by Spyman View Post
LU64 with pal version of madworld = dont update from that disc !
I dont plan on it so no worries, I knew better!